# Interface methods for submodule: NumericSeriesFileNames
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: NumericSeriesFileNames
class NumericSeriesFileNamesProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetStartIndex(self, _arg: int) -> None:
		""""""
		...

	def GetStartIndex(self) -> int:
		""""""
		...

	def SetEndIndex(self, _arg: int) -> None:
		""""""
		...

	def GetEndIndex(self) -> int:
		""""""
		...

	def SetIncrementIndex(self, _arg: int) -> None:
		""""""
		...

	def GetIncrementIndex(self) -> int:
		""""""
		...

	@overload
	def SetSeriesFormat(self, _arg) -> None:
		""""""
		...

	@overload
	def SetSeriesFormat(self, _arg: str) -> None:
		""""""
		...

	def GetSeriesFormat(self):
		""""""
		...

	def GetFileNames(self):
		""""""
		...

